/****************************************************************************
** Zuragon(C) 2011 
****************************************************************************/

import QtQuick 2.5

Rectangle {
    color: "transparent"
    property real rpm_value: 0

    width: 210; height: 210

    Image { source: "RPM_white_base.png" }

    Image {
        id: needle
        x: 100; y: 94
        smooth: true
        source: "RPM_white_needle.png"
        transform: Rotation {
            id: needleRotation
            origin.x: -1.6; origin.y: 3.5
            angle: -229 + ( (Math.min(rpm_value,9500) * 275) / 9500 )
            Behavior on angle {
                SpringAnimation {
                    spring: 1.4
                    damping: .15
                }
            }
        }
    }
}
